
%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define section .Final
%define reltag _redhat_2
%define namedreltag -redhat-2
%global namedversion  %{version}%{?section}%{?namedreltag}

%define maven_version 1.0.3.Final-redhat-2

Name: jandex
Summary: Java Annotation Indexer
Version: 1.0.3
Release: 7%{?section}%{?reltag}%{?dist}.2
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: org.jboss-jandex-1.0.3.Final-redhat-2-sources.zip
Source101: org.jboss-jandex-1.0.3.Final-redhat-2-patches.zip
Source102: jandex-1.0.3.Final-redhat-2.pom
Source103: jandex-1.0.3.Final-redhat-2-sources.jar
Source104: jandex-1.0.3.Final-redhat-2.jar
Source105: jandex-1.0.3.Final-redhat-2-javadoc.jar
%endif

URL: https://github.com/jbossas/jandex

%if %without mead
BuildRequires: %{name}-mead
%endif
BuildRequires:  unzip

Requires: jpackage-utils
Requires: java
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 

BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
${summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires: jpackage-utils

%description javadoc
%{summary}.

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf $RPM_BUILD_ROOT
                                                                                                     
# jars
install -d -m 755 %{buildroot}%{_javadir}
%if %without mead
install -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
install -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
install -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
#%%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%endif

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

# pom
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%if %without mead
install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%endif
%add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-javadoc.jar
%else
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
%endif

rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})

%clean
rm -rf $RPM_BUILD_ROOT
                                                                                                     
%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
#%%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
#%%{_javadir}*/%{name}-javadoc.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}


%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3-7.Final_redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.3-6.Final_redhat_2.2
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3-5.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3-5.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-5.Final_redhat_1
- Remove javadoc JAR from main package

* Thu Apr 19 2012 Lin Gao <lgao@redhat.com> - 0:1.0.3-4.Final_redhat_1
- Re run vman to use jboss-parent:8-redhat-1

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.3-3.Final_redhat_1.2
- Rebuild
- Requires jpacakge-utils in javadoc subpackage

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.3-3_redhat_1.1
- rebuild using new wrapper

* Fri Oct 28 2011 Lin Gao <lgao@redhat.com> - 0:1.0.3-3_redhat_1
- fix signed jars issue

* Fri Oct 21 2011 Lin Gao <lgao@redhat.com> - 0:1.0.3-2_redhat_1
- build rpm format using -mead package

* Fri Oct 21 2011 Lin Gao <lgao@redhat.com> - 0:1.0.3-1.Final
- Upgrade to 1.0.3.Final

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.0.0-2.Final
- Upgrade to 1.0.0.Final

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1.beta7
- First build
